서명
GET https://0o0.online/api/signatures/
curl --request GET \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
| search | 옵션 링크 | 검색 스트리트 입니다. |
| search_by | 옵션 링크 | 어떤 필드를 찾고 있는가? 허용된 값은 다음과 같습니다. name. |
| datetime_field | 옵션 링크 | 허용된 값 : datetime, last_datetime |
| datetime_start | 옵션 링크 | 이 날짜에서 시작하는 결과를 필터합니다. Y-m-d H:i:s 형식으로 |
| datetime_end | 옵션 링크 | 이 날짜까지 결과를 필터합니다. Y-m-d H:i:s 형식으로 |
| order_by | 옵션 링크 | 어떤 필드에서 결과를 주문할 수 있습니까? 허용된 값은 다음과 같습니다. signature_id, datetime, last_datetime, name. |
| order_type | 옵션 링크 | 주문 결과. 허용된 값은 다음과 같습니다 : ASC 상승 명령에 대하여, 그리고 DESC 아래로 내려오는 주문 |
| page | 옵션 전체 | 원하는 페이지 번호 결과에서. 결함은 1. |
| results_per_page | 옵션 전체 | 페이지에 얼마나 많은 결과를 원하는지. 허용 값은 다음과 같습니다 : 10, 25, 50, 100, 250, 500, 1000. 결함은 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "John Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "John Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "johndoe",
"threads": "johndoe",
"x": "johndoe",
"instagram": "johndoe",
"youtube": "johndoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:31"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/signatures?page=1",
"last": "https://0o0.online/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/signatures?page=1"
}
}
GET https://0o0.online/api/signatures/{signature_id}
curl --request GET \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "janedoe",
"threads": "janedoe",
"x": "janedoe",
"instagram": "janedoe",
"youtube": "janedoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:31"
}
}
POST https://0o0.online/api/signatures
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
| name | 필수 링크 | 이름 |
| project_id | 옵션 전체 | 프로젝트는 자원을 분류하는 데 도움이됩니다. |
| template | 옵션 링크 | 허용된 값 : plain_text, mars, mercury, venus, nova |
| direction | 옵션 링크 | 허용된 값 : ltr, rtl |
| is_removed_branding | 옵션 폴란드 | 브랜딩 제거 |
| image_url | 옵션 링크 | 단지 사용하기 JPG, JPEG, GIF, PNG 사진에 대한 |
| sign_off | 옵션 링크 | 서명 삭제 |
| full_name | 옵션 링크 | 전체 이름 |
| job_title | 옵션 링크 | 직업 제목 |
| department | 옵션 링크 | 부서 |
| company | 옵션 링크 | 회사 |
| 옵션 링크 | 이메일 | |
| website_name | 옵션 링크 | 웹사이트 이름 |
| website_url | 옵션 링크 | 웹사이트 URL |
| address | 옵션 링크 | 주소 |
| address_url | 옵션 링크 | 링크 A Google 예를 들어 위치 지도. |
| phone_number | 옵션 링크 | 전화 번호 |
| 옵션 링크 | ||
| facebook_messenger | 옵션 링크 | Facebook 메신저 사용자 이름 |
| telegram | 옵션 링크 | Telegram 사용자 이름 |
| disclaimer | 옵션 링크 | 차단문제 |
| font_family | 옵션 링크 | 허용된 값 : arial, verdana, helvetica, times_new_roman, georgia |
| font_size | 옵션 전체 | 허용된 값 : 12-18 |
| width | 옵션 전체 | 허용된 값 : 300-600 |
| image_width | 옵션 전체 | 허용된 값 : 45-150 |
| image_border_radius | 옵션 전체 | 허용된 값 : 0-100 |
| socials_width | 옵션 전체 | 허용된 값 : 15-30 |
| socials_padding | 옵션 전체 | 허용된 값 : 5-15 |
| separator_size | 옵션 전체 | 허용된 값 : 0-5 |
| border_radius | 옵션 전체 | 허용된 값 : 0-30 |
| background_color | 옵션 링크 | 배경 색상 |
| border_color | 옵션 링크 | 국경 색상 |
| theme_color | 옵션 링크 | 테마 색상 |
| full_name_color | 옵션 링크 | 전체 이름 색상 |
| text_color | 옵션 링크 | 텍스트 색상 |
| link_color | 옵션 링크 | 링크 색상 |
| 옵션 링크 | Facebook 사용자 이름 | |
| threads | 옵션 링크 | 사용자 이름 위협 |
| x | 옵션 링크 | X 사용자 이름 |
| 옵션 링크 | Instagram 사용자 이름 | |
| youtube | 옵션 링크 | YouTube 채널 |
| tiktok | 옵션 링크 | TikTok 사용자 이름 |
| spotify | 옵션 링크 | Spotify 사용자 이름 |
| 옵션 링크 | Pinterest 사용자 이름 | |
| 옵션 링크 | LinkedIn 사용자 이름 | |
| snapchat | 옵션 링크 | Snapchat 사용자 이름 |
| twitch | 옵션 링크 | Twitch 사용자 이름 |
| discord | 옵션 링크 | Discord 사용자 ID |
| github | 옵션 링크 | GitHub 사용자 이름 |
| 옵션 링크 | Reddit 사용자 이름 |
curl --request POST \
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 10,
"background_color": "#f8fafc",
"border_color": "#cbd5e1",
"theme_color": "#2563eb",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:31"
}
}
POST https://0o0.online/api/signatures/{signature_id}
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
| name | 옵션 링크 | 이름 |
| project_id | 옵션 전체 | 프로젝트는 자원을 분류하는 데 도움이됩니다. |
| template | 옵션 링크 | 허용된 값 : plain_text, mars, mercury, venus, nova |
| direction | 옵션 링크 | 허용된 값 : ltr, rtl |
| is_removed_branding | 옵션 폴란드 | 브랜딩 제거 |
| image_url | 옵션 링크 | 단지 사용하기 JPG, JPEG, GIF, PNG 사진에 대한 |
| sign_off | 옵션 링크 | 서명 삭제 |
| full_name | 옵션 링크 | 전체 이름 |
| job_title | 옵션 링크 | 직업 제목 |
| department | 옵션 링크 | 부서 |
| company | 옵션 링크 | 회사 |
| 옵션 링크 | 이메일 | |
| website_name | 옵션 링크 | 웹사이트 이름 |
| website_url | 옵션 링크 | 웹사이트 URL |
| address | 옵션 링크 | 주소 |
| address_url | 옵션 링크 | 링크 A Google 예를 들어 위치 지도. |
| phone_number | 옵션 링크 | 전화 번호 |
| 옵션 링크 | ||
| facebook_messenger | 옵션 링크 | Facebook 메신저 사용자 이름 |
| telegram | 옵션 링크 | Telegram 사용자 이름 |
| disclaimer | 옵션 링크 | 차단문제 |
| font_family | 옵션 링크 | 허용된 값 : arial, verdana, helvetica, times_new_roman, georgia |
| font_size | 옵션 전체 | 허용된 값 : 12-18 |
| width | 옵션 전체 | 허용된 값 : 300-600 |
| image_width | 옵션 전체 | 허용된 값 : 45-150 |
| image_border_radius | 옵션 전체 | 허용된 값 : 0-100 |
| socials_width | 옵션 전체 | 허용된 값 : 15-30 |
| socials_padding | 옵션 전체 | 허용된 값 : 5-15 |
| separator_size | 옵션 전체 | 허용된 값 : 0-5 |
| border_radius | 옵션 전체 | 허용된 값 : 0-30 |
| background_color | 옵션 링크 | 배경 색상 |
| border_color | 옵션 링크 | 국경 색상 |
| theme_color | 옵션 링크 | 테마 색상 |
| full_name_color | 옵션 링크 | 전체 이름 색상 |
| text_color | 옵션 링크 | 텍스트 색상 |
| link_color | 옵션 링크 | 링크 색상 |
| 옵션 링크 | Facebook 사용자 이름 | |
| threads | 옵션 링크 | 사용자 이름 위협 |
| x | 옵션 링크 | X 사용자 이름 |
| 옵션 링크 | Instagram 사용자 이름 | |
| youtube | 옵션 링크 | YouTube 채널 |
| tiktok | 옵션 링크 | TikTok 사용자 이름 |
| spotify | 옵션 링크 | Spotify 사용자 이름 |
| 옵션 링크 | Pinterest 사용자 이름 | |
| 옵션 링크 | LinkedIn 사용자 이름 | |
| snapchat | 옵션 링크 | Snapchat 사용자 이름 |
| twitch | 옵션 링크 | Twitch 사용자 이름 |
| discord | 옵션 링크 | Discord 사용자 ID |
| github | 옵션 링크 | GitHub 사용자 이름 |
| 옵션 링크 | Reddit 사용자 이름 |
curl --request POST \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe Signature",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 16,
"background_color": "#fff7ed",
"border_color": "#fed7aa",
"theme_color": "#c2410c",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": "2026-10-16 03:21:31",
"datetime": "2026-10-16 03:21:31"
}
}
DELETE https://0o0.online/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \